#
# FtpCube
# Copyright (C) 2002 Michael Gilfix
#
# This file is part of FtpCube.
#
# You should have received a file COPYING containing license terms
# along with this program; if not, write to Michael Gilfix
# (mgilfix@eecs.tufts.edu) for a copy.
#
# This version of FtpCube is open source; you can redistribute it and/or
# modify it under the terms listed in the file COPYING.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#

from wxPython.wx import *

def beautifySize (size):
	if size / 1073741824:
		return _("%(sz)0.2f Gbytes") %{ 'sz' : (float (size) / 1073741824.0) }
	elif size / 1048576:
		return _("%(sz)0.2f Mbytes") %{ 'sz' : (float (size) / 1048576.0) }
	elif size / 1024:
		return _("%(sz)0.2f KBytes") %{ 'sz' : (float (size) / 1024.0) }
	else:
		return _("%(sz)s Bytes") %{ 'sz' : size }
	return None

def AddLineSeparator (toolbar, height):
	space = wxStaticText (toolbar, -1, "")
	space.SetSize ((3, -1))
	toolbar.AddControl (space)
	line = wxStaticLine (toolbar, -1, style=wxLI_VERTICAL)
	line.SetSize ((-1, height))
	toolbar.AddControl (line)
	space = wxStaticText (toolbar, -1, "")
	space.SetSize ((4, -1))
	toolbar.AddControl (space)

def getColumnText (list, index, col):
	item = list.GetItem (index, col)
	return item.GetText ()

def getSelected (list):
	selected = [ ]
	item = -1
	while 1:
		item = list.GetNextItem (item, wxLIST_NEXT_ALL,
		                               wxLIST_STATE_SELECTED)
		if item == -1:
			break
		selected.append (item)
	return selected

def setListColumnAlignment (list, col, align):
	item_info = list.GetColumn (col)
	item_info.SetAlign (align)
	list.SetColumn (col, item_info)

def colorToTuple (color):
	return (color.Red (), color.Green (), color.Blue ())
